Products

Respondus Monitor System Requirements

Respondus Monitor

System Requirements

Respondus Monitor Requirements

Respondus Monitor is a companion product to LockDown Browser. So the first requirement for Respondus Monitor is a campus-wide license of LockDown Browser.

System Requirements (Students)

  • Windows: 10, 8, 7 *
  • Mac: OS X 10.10 or higher *
  • iOS: 7.0+ (iPad only). Must have a compatible LMS integration. Details.
  • Adobe Flash Player (bundled with the LockDown Browser installation)
  • Web camera (internal or external) & microphone
  • A broadband internet connection
* LockDown Browser and Respondus Monitor may continue to run in older operating systems that have reached "end-of-life" but students may encounter unexpected results.

Learning Management System Requirements

  • Blackboard Learn 9.1 or higher. Requires installation of a Building Block
  • Brightspace 10.x or higher. Requires the configuration of an External Learning Tool
  • Canvas by Instructure. Requires the configuration of an External App
  • Moodle 2.x to 3.x. Requires installation of a Moodle Block
  • Schoology Enterprise. Requires installation of an LTI App
  • Contact us for information on other LMSs